import java.util.*;

public class Mediator {
	private HashMap participantes;
	private Mediator() {
		participantes = new HashMap();
	}
	private static Mediator instance = new Mediator();
	
	public static Mediator getInstance() {
		return instance;
	}
	
	// Metodos de registro
	public void addColaborador(String codigo,
							   Colaborador colaborador) {
		participantes.put(codigo, colaborador);
	}
	
	// Metodos de comunicacao
	public void operacao(String codigo, String dados) {
		Colaborador destino = 
			(Colaborador)participantes.get(codigo);
		destino.executar(dados);
	}
}
